import { get as e, init as t, set as n } from "./schedule.js";
//#region ../../node_modules/d3-transition/src/transition/on.js
function r(e) {
	return (e + "").trim().split(/^|\s+/).every(function(e) {
		var t = e.indexOf(".");
		return t >= 0 && (e = e.slice(0, t)), !e || e === "start";
	});
}
function i(e, i, a) {
	var o, s, c = r(i) ? t : n;
	return function() {
		var t = c(this, e), n = t.on;
		n !== o && (s = (o = n).copy()).on(i, a), t.on = s;
	};
}
function a(t, n) {
	var r = this._id;
	return arguments.length < 2 ? e(this.node(), r).on.on(t) : this.each(i(r, t, n));
}
//#endregion
export { a as default };
